// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0.If a copy of the MPL was not distributed with this
// file, You can obtain one at https ://mozilla.org/MPL/2.0/.

#include "FloatSingle.h"
#include <math.h>

const float Float::epsilon = 1e-05f;
const float Float::sqrEpsilon = 1e-10f;

float Float::Clamp(float f, float min, float max) {
  if (max < min)
    return f;
  if (f < min)
    return min;
  if (f > max)
    return max;
  return f;
}