// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0.If a copy of the MPL was not distributed with this
// file, You can obtain one at https ://mozilla.org/MPL/2.0/.

#ifndef FLOAT_H
#define FLOAT_H

namespace LinearAlgebra {

class Float {
 public:
  static const float epsilon;
  static const float sqrEpsilon;

  static float Clamp(float f, float min, float max);
};

}  // namespace LinearAlgebra

using namespace LinearAlgebra;

#endif
