\mainpage Linear Algebra

Linear algebra library

Main components
---------------
Carthesian coordinate systems
* [Vector3](#Passer::LinearAlgebra::Vector3): A 3D carthesian vector
* [Vector2](#Passer::LinearAlgebra::Vector2): A 2D carthesian vector

Other coodinate systems
* [Polar](#Passer::LinearAlgebra::PolarOf): A 2D polar vector
* [Spherical](#Passer::LinearAlgebra::SphericalOf): A 3D spherical vector

Rotations
* [Quaternion](#Passer::LinearAlgebra::Quaternion): A quaternion rotation
* [SwingTwist](#Passer::LinearAlgebra::SwingTwistOf): A swing/twist angular rotation

Basics
* [Angle](#Passer::LinearAlgebra::AngleOf): An angle
* [Direction](#Passer::LinearAlgebra::DirectionOf): A direction using angles
